Subject: 28.2; doc of `with-eval-after-load'

From: Drew Adams <[email-masked]>
Date: Thu, 13 Apr 2023 21:43:30 +0000

Looking at the doc string and Elisp manual entry for this macro, I see
no mention that the first argument, LIBRARY, is evaluated (to produce a
symbol or string).  Please mention this in the doc.  There's really
nothing that would cause a user to suppose that s?he needs to quote a
symbol, for example.

In GNU Emacs 28.2 (build 2, x86_64-w64-mingw32)
 of 2022-09-13 built on AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.2728)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation
 --without-compress-install CFLAGS=-O2'